from django.db import models
from django.contrib.auth.models import User

class News_Entry(models.Model):
    title = models.CharField(max_length=100)
    url = models.URLField(verify_exists=True)
    publication = models.DateTimeField(auto_now_add=True)
    submitter = models.ForeignKey(User)
    upvotes = models.PositiveIntegerField(default=0)
    
    def __unicode__(self):
        return self.title
        
class Upvote(models.Model):
    news_entry = models.ForeignKey(News_Entry)
    user = models.ForeignKey(User)
