from django.shortcuts import render_to_response, get_object_or_404
from django.http import HttpResponseRedirect
# Use this with {% csrf_token %}, !context_instance=RequestContext(request)!
from django.template import RequestContext
from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User
# EntryForm import from the forms.py file:
from photonews.apps.news.forms import NewsForm
# Importing Entry from our models:
from photonews.apps.news.models import News_Entry, Upvote
from datetime import date

def news(request):
    news = News_Entry.objects.all().order_by('-publication')
    return render_to_response('news/news.html', {'news':news,},context_instance=RequestContext(request))

def toptoday(request):
    news = News_Entry.objects.filter(publication__gte=date.today()).order_by('-upvotes')
    return render_to_response('news/toptoday.html', {'news':news,},context_instance=RequestContext(request))

@login_required(login_url='/login/')
def submit(request):
    if request.method == 'POST':
        NF = NewsForm(request.POST)
        if NF.is_valid():
            p = News_Entry()
            p.title = NF.cleaned_data['title']
            p.url = NF.cleaned_data['url']
            p.submitter = request.user
            p.save()
            
            return HttpResponseRedirect("/success/")
    else:
        NF = NewsForm()
    return render_to_response('news/submit.html', {'NF': NF,}, context_instance=RequestContext(request))

def success(request):
    return render_to_response('news/success.html',context_instance=RequestContext(request))

def upvote(request, entry_id):
    if request.method == 'POST':
        a = get_object_or_404(News_Entry, pk=entry_id)
        try:
            vote = Upvote.objects.get(user=request.user, news_entry=a)
            return HttpResponseRedirect("/")
        except Exception:
            vote = Upvote(user=request.user, news_entry=a)
            vote.save()
            a.upvotes +=1
            a.save()
            return HttpResponseRedirect("/")

