from django.shortcuts import render_to_response, get_object_or_404
from django.template import RequestContext
from django.contrib import auth
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django.http import HttpResponseRedirect

def register(request):
    if request.method == 'POST':
        form = UserCreationForm(request.POST)
        if form.is_valid():
            new_user = form.save()
            new_profile = UserProfile.objects.create(user=new_user)
            new_profile.save()
            return HttpResponseRedirect("/thanks")
    else:
        form = UserCreationForm()
    rc = context_instance=RequestContext(request)
    return render_to_response('users/register.html',{'form' : form} ,rc)
    
def logout(request):
    auth.logout(request)
    return HttpResponseRedirect("/")
    
def thanks(request):
    rc = context_instance=RequestContext(request)
    return render_to_response("users/thanks.html",rc)
